package Graphe;
import java.awt.*;
import java.math.*;
public enum Couleur {
	NULL,/*pour la matrice c*/
	ROUGE,
	VERT,
	JAUNE,
	BLEU,
	ORANGE,
	VIOLET,
	r255g255b255,
	r255g250b250,
	r255g232b239,
	r244g240b255,
	r255g255b204,
	r255g242b200,
	r255g223b200,
	r253g239b255,
	r255g255b153,
	r255g237b162,
	r255g218b173,
	r255g234b249,
	r255g255b102,
	r255g234b134,
	r255g215b157,
	r255g230b245,
	r255g255b051,
	r255g233b117,
	r255g213b148,
	r255g229b243,
	r255g255b000,
	r255g232b113,
	r255g213b146,
	r255g228b242,
	r255g204b255,
	r207g215b255,
	r225g216b253,
	r251g209b225,
	r255g204b204,
	r222g216b210,
	r241g210b203,
	r255g202b216,
	r255g204b153,
	r229g214b157,
	r252g205b153,
	r255g196b209,
	r255g204b102,
	r233g212b105,
	r255g202b111,
	r255g192b205,
	r255g204b051,
	r236g212b053,
	r255g200b087,
	r255g191b202,
	r255g204b000,
	r236g211b015,
	r255g199b080,
	r255g190b202,
	r255g153b255,
	r170g189b255,
	r176g188b249,
	r246g169b181,
	r255g153b204,
	r177g184b224,
	r197g181b199,
	r252g159b170,
	r255g153b153,
	r189g182b168,
	r210g176b149,
	r255g153b162,
	r255g153b102,
	r196g180b112,
	r218g172b098,
	r255g149b158,
	r255g153b051,
	r199g180b058,
	r222g171b042,
	r255g148b157,
	r255g153b000,
	r200g179b023,
	r223g170b000,
	r255g148b156,
	r255g102b255,
	r152g178b255,
	r133g167b245,
	r242g135b145,
	r255g102b204,
	r130g160b246,
	r160g159b195,
	r248g121b129,
	r255g102b153,
	r153g157b185,
	r177g153b146,
	r253g110b116,
	r255g102b102,
	r165g155b124,
	r187g149b094,
	r255g102b108,
	r255g102b051,
	r170g154b066,
	r191g147b034,
	r255g101b106,
	r255g102b000,
	r172g154b030,
	r192g147b000,
	r255g101b105,
	r255g051b255,
	r103g155b242,
	r240g113b120,
	r255g051b204,
	r119g157b255,
	r138g146b193,
	r247g094b099,
	r255g051b153,
	r122g142b206,
	r157g139b143,
	r251g076b079,
	r255g051b102,
	r143g140b139,
	r167g135b092,
	r254g061b062,
	r255g051b051,
	r152g139b074,
	r173g132b028,
	r255g051b050,
	r255g051b000,
	r154g139b035,
	r174g134b000,
	r255g051b049,
	r255g000b255,
	r150g177b255,
	r094g152b241,
	r240g106b113,
	r255g000b204,
	r123g160b255,
	r131g143b192,
	r246g085b090,
	r255g000b153,
	r110g137b215,
	r151g136b142,
	r250g064b066,
	r255g000b102,
	r136g136b146,
	r162g131b091,
	r253g043b040,
	r255g000b051,
	r147g135b078,
	r168g128b026,
	r254g026b000,
	r255g000b000,
	r150g135b038,
	r169g130b000,
	r254g028b000,
	r204g255b255,
	r248g244b248,
	r255g234b253,
	r203g239b255,
	r204g255b204,
	r255g241b197,
	r255g222b204,
	r211g239b255,
	r204g255b153,
	r255g235b151,
	r255g216b171,
	r217g238b255,
	r204g255b102,
	r255g232b115,
	r255g212b151,
	r221g238b255,
	r204g255b051,
	r255g231b092,
	r255g211b140,
	r204g255b000,
	r255g230b085,
	r255g211b137,
	r224g238b255,
	r204g204b255,
	r196g206b255,
	r203g204b255,
	r198g209b225,
	r204g204b204,
	r207g203b203,
	r222g198b205,
	r206g202b217,
	r204g204b153,
	r215g201b151,
	r234g193b155,
	r211g196b211,
	r204g204b102,
	r219g199b100,
	r241g190b106,
	r215g193b207,
	r204g204b051,
	r221g198b049,
	r245g188b059,
	r216g191b205,
	r204g204b000,
	r221g198b000,
	r246g198b000,
	r217g190b204,
	r204g153b255,
	r152g177b255,
	r143g174b251,
	r191g169b182,
	r204g153b204,
	r158g168b215,
	r170g167b201,
	r199g159b171,
	r204g153b153,
	r170g165b160,
	r186g161b152,
	r205g152b162,
	r204g153b102,
	r177g164b106,
	r196g157b101,
	r208g146b157,
	r204g153b051,
	r181g163b054,
	r201g155b050,
	r210g144b154,
	r204g153b000,
	r181g162b014,
	r202g154b000,
	r211g143b153,
	r204g102b255,
	r135g167b255,
	r076g151b246,
	r187g135b145,
	r204g102b204,
	r100g140b235,
	r123g141b197,
	r195g121b130,
	r204g102b153,
	r127g136b175,
	r145g134b148,
	r201g110b117,
	r204g102b102,
	r140g134b117,
	r158g129b097,
	r204g101b108,
	r204g102b051,
	r146g133b060,
	r164g126b043,
	r206g096b103,
	r204g102b000,
	r148g132b021,
	r166g127b000,
	r207g095b101,
	r204g051b255,
	r138g170b255,
	r000g141b239,
	r184g113b120,
	r204g051b204,
	r067g135b255,
	r087g126b194,
	r193g094b100,
	r204g051b153,
	r082g117b200,
	r118g117b145,
	r198g076b080,
	r204g051b102,
	r112g115b135,
	r133g111b095,
	r202g061b063,
	r204g051b051,
	r123g113b070,
	r140g108b039,
	r204g051b052,
	r204g051b000,
	r126g113b027,
	r143g109b000,
	r204g048b048,
	r204g000b255,
	r140g171b255,
	r000g140b236,
	r183g106b113,
	r204g000b204,
	r093g145b255,
	r075g122b192,
	r192g085b090,
	r204g000b153,
	r053g111b213,
	r110g113b144,
	r198g064b067,
	r204g000b102,
	r100g109b144,
	r126g106b094,
	r202g043b043,
	r204g000b051,
	r116g108b076,
	r133g103b038,
	r203g023b011,
	r204g000b000,
	r120g108b030,
	r136g105b000,
	r204g022b000,
	r153g255b255,
	r239g236b244,
	r244g228b255,
	r166g239b255,
	r153g255b204,
	r247g233b193,
	r255g221b208,
	r172g239b255,
	r153g255b153,
	r251g231b144,
	r255g214b169,
	r176g238b255,
	r153g255b102,
	r254g230b094,
	r255g210b145,
	r180g238b255,
	r153g255b051,
	r255g229b050,
	r255g209b132,
	r181g237b255,
	r153g255b000,
	r255g228b028,
	r255g208b128,
	r182g237b255,
	r153g204b255,
	r185g197b250,
	r185g196b255,
	r145g209b225,
	r153g204b204,
	r196g193b198,
	r206g189b207,
	r156g202b217,
	r153g204b153,
	r203g191b147,
	r219g184b157,
	r163g196b211,
	r153g204b102,
	r207g189b097,
	r228g181b108,
	r168g193b207,
	r153g204b051,
	r209g188b047,
	r232g179b063,
	r170g191b205,
	r153g204b000,
	r210g188b000,
	r233g178b042,
	r171g190b205,
	r153g153b255,
	r131g164b255,
	r111g164b253,
	r134g169b182,
	r153g153b204,
	r143g156b206,
	r146g155b204,
	r146g159b171,
	r153g153b153,
	r155g152b153,
	r166g148b154,
	r154g151b163,
	r153g153b102,
	r162g150b101,
	r178g144b104,
	r159g146b157,
	r153g153b051,
	r165g149b050,
	r183g142b055,
	r162g144b154,
	r153g153b000,
	r166g149b000,
	r162g143b153,
	r153g102b255,
	r112g155b255,
	r000g144b243,
	r126g135b145,
	r153g102b204,
	r073g123b223,
	r080g127b199,
	r140g121b130,
	r153g102b153,
	r106g119b165,
	r115g118b150,
	r148g109b117,
	r153g102b102,
	r120g116b109,
	r132g112b100,
	r154g101b108,
	r153g102b051,
	r126g114b055,
	r140g109b049,
	r156g096b103,
	r153g102b000,
	r127g114b013,
	r142g108b000,
	r157g095b102,
	r153g051b255,
	r125g162b255,
	r000g141b232,
	r122g112b120,
	r153g051b204,
	r000g122b246,
	r000g115b194,
	r136g093b100,
	r153g051b153,
	r000g094b191,
	r073g097b146,
	r145g076b081,
	r153g051b102,
	r080g091b128,
	r098g089b097,
	r150g061b064,
	r153g051b051,
	r095g089b065,
	r108g085b045,
	r153g051b053,
	r153g051b000,
	r099g089b019,
	r112g086b000,
	r154g048b050,
	r153g000b255,
	r131g166b255,
	r000g140b229,
	r121g106b113,
	r153g000b204,
	r039g130b255,
	r000g115b192,
	r135g085b091,
	r153g000b153,
	r000g103b208,
	r056g091b144,
	r144g064b068,
	r153g000b102,
	r057g083b143,
	r087g083b095,
	r150g043b044,
	r153g000b051,
	r085g081b074,
	r099g078b044,
	r152g022b018,
	r153g000b000,
	r090g081b023,
	r103g079b000,
	r153g017b000,
	r102g255b255,
	r234g231b240,
	r235g223b255,
	r136g239b255,
	r102g255b204,
	r241g228b191,
	r255g221b211,
	r139g239b255,
	r102g255b153,
	r246g226b141,
	r255g213b167,
	r142g238b255,
	r102g255b102,
	r248g225b093,
	r255g208b139,
	r144g238b255,
	r102g255b051,
	r250g224b042,
	r255g207b124,
	r102g255b000,
	r250g224b000,
	r255g206b121,
	r146g237b255,
	r102g204b255,
	r178g190b245,
	r173g190b255,
	r087g209b225,
	r102g204b204,
	r189g187b193,
	r195g183b209,
	r107g202b217,
	r102g204b153,
	r196g184b143,
	r210g178b159,
	r119g196b211,
	r102g204b102,
	r200g182b094,
	r218g174b110,
	r126g193b207,
	r102g204b051,
	r202g181b045,
	r223g172b066,
	r129g191b205,
	r102g204b000,
	r202g181b000,
	r224g172b046,
	r130g190b205,
	r102g153b255,
	r110g152b254,
	r081g156b254,
	r062g169b182,
	r102g153b204,
	r133g147b199,
	r128g147b205,
	r090g159b171,
	r102g153b153,
	r145g143b147,
	r151g140b156,
	r105g151b163,
	r102g153b102,
	r152g140b097,
	r164g135b106,
	r113g146b157,
	r102g153b051,
	r155g139b047,
	r170g133b059,
	r116g144b154,
	r102g153b000,
	r155g139b000,
	r172g132b033,
	r117g143b154,
	r102g102b255,
	r081g141b255,
	r000g144b238,
	r034g135b145,
	r102g102b204,
	r050g110b213,
	r000g118b201,
	r077g121b130,
	r102g102b153,
	r089g105b156,
	r088g106b152,
	r094g109b117,
	r102g102b102,
	r104g102b102,
	r111g099b103,
	r103g101b108,
	r102g102b051,
	r109g100b050,
	r121g095b053,
	r107g096b103,
	r102g102b000,
	r111g099b000,
	r123g094b017,
	r108g095b102,
	r102g051b255,
	r110g154b255,
	r000g140b228,
	r000g113b121,
	r102g051b204,
	r000g116b234,
	r000g118b194,
	r068g093b100,
	r102g051b153,
	r000g089b180,
	r000g089b149,
	r088g076b081,
	r102g051b102,
	r050g070b118,
	r061g071b099,
	r098g061b065,
	r102g051b051,
	r070g067b058,
	r079g064b049,
	r102g051b054,
	r102g051b000,
	r074g066b011,
	r083g064b000,
	r103g048b051,
	r102g000b255,
	r122g161b255,
	r000g139b225,
	r000g107b115,
	r102g000b204,
	r000g124b248,
	r066g084b091,
	r102g000b153,
	r000g101b202,
	r000g090b148,
	r086g063b068,
	r102g000b102,
	r000g071b142,
	r037g061b096,
	r096g043b045,
	r102g000b051,
	r050g055b072,
	r063g053b047,
	r101g022b021,
	r102g000b000,
	r060g054b015,
	r069g053b000,
	r102g011b000,
	r051g255b255,
	r231g229b239,
	r231g221b255,
	r116g239b255,
	r051g255b204,
	r238g226b189,
	r252g219b212,
	r118g239b255,
	r051g255b153,
	r243g223b140,
	r255g212b166,
	r120g238b255,
	r051g255b102,
	r245g222b092,
	r255g207b136,
	r121g238b255,
	r051g255b051,
	r247g221b041,
	r255g205b120,
	r051g255b000,
	r247g221b000,
	r255g205b116,
	r122g237b255,
	r051g204b255,
	r174g187b242,
	r167g187b255,
	r000g209b224,
	r051g204b204,
	r185g183b191,
	r189g180b209,
	r062g202b217,
	r051g204b153,
	r192g180b142,
	r204g174b160,
	r084g196b211,
	r051g204b102,
	r196g178b093,
	r214g171b111,
	r094g193b207,
	r051g204b051,
	r198g178b044,
	r218g169b067,
	r099g191b205,
	r051g204b000,
	r198g177b000,
	r219g168b048,
	r100g191b215,
	r051g153b255,
	r105g147b250,
	r057g153b255,
	r000g171b183,
	r051g153b204,
	r127g142b195,
	r117g143b206,
	r000g160b172,
	r051g153b153,
	r140g138b144,
	r143g135b157,
	r057g151b163,
	r051g153b102,
	r146g135b094,
	r157g130b107,
	r073g146b157,
	r051g153b051,
	r149g134b046,
	r164g128b060,
	r079g144b154,
	r051g153b000,
	r149g134b000,
	r165g134b000,
	r081g143b154,
	r051g102b255,
	r037g129b255,
	r000g144b236,
	r000g144b153,
	r051g102b204,
	r032g103b205,
	r000g127b135,
	r051g102b153,
	r080g097b149,
	r067g099b154,
	r020g109b118,
	r051g102b102,
	r094g093b097,
	r097g091b104,
	r053g101b109,
	r051g102b051,
	r100g091b047,
	r109g087b055,
	r063g096b104,
	r051g102b000,
	r101g091b000,
	r112g086b023,
	r065g095b102,
	r051g051b255,
	r096g148b255,
	r000g129b135,
	r051g051b204,
	r000g112b225,
	r000g120b194,
	r000g106b112,
	r051g051b153,
	r000g084b170,
	r000g093b153,
	r000g080b086,
	r051g051b102,
	r025g055b106,
	r000g059b101,
	r038g060b065,
	r051g051b051,
	r052g051b051,
	r055g049b051,
	r051g050b054,
	r051g051b000,
	r055g050b000,
	r061g047b009,
	r054g048b051,
	r051g000b255,
	r115g157b255,
	r000g124b130,
	r051g000b204,
	r000g121b242,
	r000g118b191,
	r000g100b105,
	r051g000b153,
	r000g098b196,
	r000g093b150,
	r000g071b075,
	r051g000b102,
	r000g070b139,
	r000g063b103,
	r033g042b045,
	r051g000b051,
	r000g036b072,
	r019g030b048,
	r048g021b023,
	r051g000b000,
	r030g027b008,
	r034g026b000,
	r051g006b000,
	r000g255b255,
	r230g228b238,
	r230g220b255,
	r110g239b255,
	r000g255b204,
	r237g225b189,
	r251g218b212,
	r112g239b255,
	r000g255b153,
	r242g223b140,
	r255g211b166,
	r114g238b255,
	r000g255b102,
	r245g221b092,
	r255g207b135,
	r115g238b255,
	r000g255b051,
	r246g221b041,
	r255g205b119,
	r000g255b000,
	r246g220b000,
	r255g205b114,
	r115g237b255,
	r000g204b255,
	r173g186b242,
	r165g187b255,
	r000g208b223,
	r000g204b204,
	r184g182b191,
	r187g179b209,
	r041g202b217,
	r000g204b153,
	r191g179b141,
	r203g174b160,
	r071g196b211,
	r000g204b102,
	r195g178b093,
	r212g170b111,
	r084g193b207,
	r000g204b051,
	r197g177b043,
	r217g168b068,
	r089g191b205,
	r000g204b000,
	r197g176b000,
	r218g168b049,
	r090g191b205,
	r000g153b255,
	r103g146b248,
	r051g152b255,
	r000g172b183,
	r000g153b204,
	r126g141b194,
	r114g142b207,
	r000g161b172,
	r000g153b153,
	r138g137b143,
	r141g134b157,
	r031g151b163,
	r000g153b102,
	r144g134b094,
	r155g129b108,
	r057g146b157,
	r000g153b051,
	r147g133b045,
	r162g126b061,
	r066g144b154,
	r000g153b000,
	r148g133b000,
	r163g126b037,
	r068g143b154,
	r000g102b255,
	r000g126b254,
	r000g146b154,
	r000g102b204,
	r026g102b204,
	r000g120b201,
	r000g130b138,
	r000g102b153,
	r078g095b147,
	r061g098b154,
	r000g114b122,
	r000g102b102,
	r092g091b095,
	r094g090b105,
	r021g101b109,
	r000g102b051,
	r097g089b046,
	r106g085b056,
	r042g096b104,
	r000g102b000,
	r099g088b000,
	r109g084b024,
	r045g095b102,
	r000g051b255,
	r091g145b255,
	r000g140b226,
	r000g131b137,
	r000g051b204,
	r000g111b222,
	r000g111b116,
	r000g051b153,
	r000g083b166,
	r000g094b154,
	r000g089b094,
	r000g051b102,
	r013g051b102,
	r000g062b104,
	r000g067b071,
	r000g051b051,
	r046g046b048,
	r047g045b052,
	r010g050b054,
	r000g051b000,
	r049g044b000,
	r054g042b012,
	r023g048b051,
	r000g000b255,
	r113g156b255,
	r000g139b223,
	r000g127b133,
	r000g000b204,
	r000g120b240,
	r000g118b190,
	r000g106b110,
	r000g000b153,
	r000g096b193,
	r000g094b151,
	r000g081b085,
	r000g000b102,
	r000g068b135,
	r000g065b104,
	r000g055b057,
	r000g000b051,
	r000g035b070,
	r000g033b053,
	r000g028b029,
	r000g000b000;

	public static Couleur random() {
		int n = ((int) Math.floor(848*Math.random()))+8;
		Couleur x = Couleur.values()[n];
		return x;
	}
	
	public Color toColor() {
		String[] aux = this.toString().split("r|g|b");
		int[] tab = new int[3];
		for(int i = 1; i<4; i++){
			//System.out.println(aux[i]);
			tab[i-1] = Integer.valueOf(aux[i]);
		}//for i
		return new Color(tab[0],tab[1],tab[2]);
	}
	
	public static Color randomC() {
		int n = ((int) Math.floor(848*Math.random()))+8;
		//System.out.println(n);
		Couleur x = Couleur.values()[n];
		String[] aux = x.toString().split("r|g|b");
		int[] tab = new int[3];
		for(int i = 1; i<4; i++){
			//System.out.println(aux[i]);
			tab[i-1] = Integer.valueOf(aux[i]);
		}//for i
		return new Color(tab[0],tab[1],tab[2]);
	}
	public static Color convert(Couleur c) {
		Color x = null;
		if (c==BLEU) {
			x= Color.BLUE;
		}
		else {
			if (c==JAUNE) {
			 x=Color.YELLOW;
		}
		else 	{ 
			if (c==ORANGE) {
			x=Color.ORANGE;
		}
		else 		{
			if (c==ROUGE ) {
			x=Color.RED;
		}
		else			 { 
			if (c==VERT) {
			x=Color.GREEN;
				}
		else						 {
			if (c==VIOLET) {
			x=Color.PINK;
		}
			}
				}
					}
						}	
							}
		return x;
								
		
		
	}
	
	public static void main(String[] args) {
		//System.out.println(randomC().toString());
	}
	
}
